Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ResourceGroupListener Class Reference

This abstract class defines an interface which is called back during resource group loading to indicate the progress of the load. More...

`#include <OgreResourceGroupManager.h>`

List of all members.

## Public Member Functions
virtual | ~ResourceGroupListener ()
virtual void | resourceGroupScriptingStarted (const String &groupName, size_t scriptCount)=0
| This event is fired when a resource group begins parsing scripts.
virtual void | scriptParseStarted (const String &scriptName)=0
| This event is fired when a script is about to be parsed.
virtual void | scriptParseEnded (const String &scriptName)=0
| This event is fired when the script has been fully parsed.
virtual void | resourceGroupScriptingEnded (const String &groupName)=0
| This event is fired when a resource group finished parsing scripts.
virtual void | resourceGroupLoadStarted (const String &groupName, size_t resourceCount)=0
| This event is fired when a resource group begins loading.
virtual void | resourceLoadStarted (const ResourcePtr &resource)=0
| This event is fired when a declared resource is about to be loaded.
virtual void | resourceLoadEnded (void)=0
| This event is fired when the resource has been loaded.
virtual void | worldGeometryStageStarted (const String &description)=0
| This event is fired when a stage of loading linked world geometry is about to start.
virtual void | worldGeometryStageEnded (void)=0
| This event is fired when a stage of loading linked world geometry has been completed.
virtual void | resourceGroupLoadEnded (const String &groupName)=0
| This event is fired when a resource group finished loading.

## Detailed Description

This abstract class defines an interface which is called back during resource group loading to indicate the progress of the load.

Remarks:
  Resource group loading is in 2 phases - creating resources from declarations (which includes parsing scripts), and loading resources. Note that you don't necessarily have to have both; it is quite possible to just parse all the scripts for a group (see ResourceGroupManager::initialiseResourceGroup, but not to load the resource group. The sequence of events is (* signifies a repeating item):
  - resourceGroupScriptingStarted
  - scriptParseStarted (*)
  - scriptParseEnded (*)
  - resourceGroupScriptingEnded
  - resourceGroupLoadStarted
  - resourceLoadStarted (*)
  - resourceLoadEnded (*)
  - worldGeometryStageStarted (*)
  - worldGeometryStageEnded (*)
  - resourceGroupLoadEnded

Note:
  If OGRE_THREAD_SUPPORT is 1, this class is thread-safe.

Definition at line 68 of file OgreResourceGroupManager.h.

## Constructor & Destructor Documentation

virtual Ogre::ResourceGroupListener::~ResourceGroupListener | ( |  | ) | `[virtual]`

| Definition at line 71 of file OgreResourceGroupManager.h.

## Member Function Documentation

virtual void Ogre::ResourceGroupListener::resourceGroupLoadEnded | ( | const String & | groupName | ) | `[pure virtual]`

| This event is fired when a resource group finished loading.

virtual void Ogre::ResourceGroupListener::resourceGroupLoadStarted | ( | const String & | groupName,
|  | size_t | resourceCount
| ) | `[pure virtual]`

  | This event is fired when a resource group begins loading. Parameters:
  | groupName | The name of the group being loaded
  | resourceCount | The number of resources which will be loaded, including a number of stages required to load any linked world geometry

virtual void Ogre::ResourceGroupListener::resourceGroupScriptingEnded | ( | const String & | groupName | ) | `[pure virtual]`

| This event is fired when a resource group finished parsing scripts.

virtual void Ogre::ResourceGroupListener::resourceGroupScriptingStarted | ( | const String & | groupName,
|  | size_t | scriptCount
| ) | `[pure virtual]`

  | This event is fired when a resource group begins parsing scripts. Note: Remember that if you are loading resources through ResourceBackgroundQueue, these callbacks will occur in the background thread, so you should not perform any thread-unsafe actions in this callback if that's the case (check the group name / script name). Parameters:
  | groupName | The name of the group
  | scriptCount | The number of scripts which will be parsed

virtual void Ogre::ResourceGroupListener::resourceLoadEnded | ( | void |  | ) | `[pure virtual]`

| This event is fired when the resource has been loaded.

virtual void Ogre::ResourceGroupListener::resourceLoadStarted | ( | const ResourcePtr & | resource | ) | `[pure virtual]`

  | This event is fired when a declared resource is about to be loaded. Parameters:
  | resource | Weak reference to the resource loaded.

virtual void Ogre::ResourceGroupListener::scriptParseEnded | ( | const String & | scriptName | ) | `[pure virtual]`

| This event is fired when the script has been fully parsed.

virtual void Ogre::ResourceGroupListener::scriptParseStarted | ( | const String & | scriptName | ) | `[pure virtual]`

  | This event is fired when a script is about to be parsed. Parameters:
  | scriptName | Name of the to be parsed

virtual void Ogre::ResourceGroupListener::worldGeometryStageEnded | ( | void |  | ) | `[pure virtual]`

  | This event is fired when a stage of loading linked world geometry has been completed. The number of stages required will have been included in the resourceCount passed in resourceGroupLoadStarted. Parameters:
  | description | Text description of what was just loaded

virtual void Ogre::ResourceGroupListener::worldGeometryStageStarted | ( | const String & | description | ) | `[pure virtual]`

  | This event is fired when a stage of loading linked world geometry is about to start. The number of stages required will have been included in the resourceCount passed in resourceGroupLoadStarted. Parameters:
  | description | Text description of what was just loaded

The documentation for this class was generated from the following file:

- OgreResourceGroupManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:14 2008